# Sudo Group Setup
- name: Make sure we have a 'admins' group
  group:
    name: admins
    state: present

- name: Allow 'admins' group to have passwordless sudo
  lineinfile:
    path: /etc/sudoers
    state: present
    regexp: '^%admins'
    line: '%admins ALL=(ALL) NOPASSWD: ALL'
    validate: '/usr/sbin/visudo -cf %s'

# User + Key Setup
- name: Create the new admin user ({{ user_name }}) with sudo privileges
  user:
    name: "{{ user_name }}"
    state: present
    groups: admins
    append: true
    create_home: true
    shell: /bin/bash

- name: Set authorized key for remote user
  authorized_key:
    user: "{{ user_name }}"
    state: present
    key: "{{ local_key }}"
  when: copy_local_key

- name: Disable password authentication for root
  lineinfile:
    path: /etc/ssh/sshd_config
    state: present
    regexp: '^#?PermitRootLogin'
    line: 'PermitRootLogin prohibit-password'
